'use strict';

var path = require('path'),
    requiredPath = require('required-path');

function generateI18n(langs, files) {
    var strLang = function strLang(file, lang) {
        return '\n        if (process.env.BEM_LANG === \'' + lang + '\') {\n            return core()\n                .decl(require(\'' + requiredPath(path.join(file.path, lang)) + '\'))\n                (\'' + file.cell.entity.id + '\');\n        }';
    };

    return files.reduce(function (acc, file) {
        return acc.concat(langs.map(function (lang) {
            return strLang(file, lang);
        }));
    }, ['(function() {', 'var core = require(\'bem-i18n\');']).concat(['console.error("Define process.env.BEM_LANG");', 'return function(){};\n})()']).join('\n');
}

module.exports = {
    generate: function generate(langs) {
        return generateI18n.bind(null, langs);
    }
};